import request, { ExtraConfig } from '/@/utils/request';
/**
 * @description 获取执行器包含的指标名称列表
 * @param {FormData} params
 **/
export const getMetricNameListByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/metric/get_metric_name_list`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});

/**
 * @description 获取指标执行器列表
 **/
export const getMetricAgentListByPost = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/metric/get_metric_agent_list`,
		method: 'post',
		params: {},
		data: {},

		...extraData,
	});

/**
 * @description 测试指标agent
 * @param {FormData} params
 **/
export const checkMetricAgentValidateByPost = (params, extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/metric/check_metric_agent_validate`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
